dev_set_promiscuity
Prev | Driver Support | Next

## Name

dev_set_promiscuity — update promiscuity count on a device

## Synopsis

`void dev_set_promiscuity (` | struct net_device * | dev,
| int | inc`)`;

## Arguments

`dev`

  device

`inc`

  modifier

## Description

Add or remove promiscuity from a device. While the count in the device remains above zero the interface remains promiscuous. Once it hits zero the device reverts back to normal filtering operation. A negative inc value is used to drop promiscuity on the device.

Prev | Up | Next
netdev_set_master | Home | dev_set_allmulti